## embree 3.13.4+dfsg

=== CMakeLists.txt ===
## Copyright 2009-2021 Intel Corporation
## SPDX-License-Identifier: Apache-2.0

SET(EMBREE_VERSION_MAJOR 3)
SET(EMBREE_VERSION_MINOR 13)
SET(EMBREE_VERSION_PATCH 4)
SET(EMBREE_VERSION_NOTE "")

SET(EMBREE_VERSION ${EMBREE_VERSION_MAJOR}.${EMBREE_VERSION_MINOR}.${EMBREE_VERSION_PATCH})
MATH(EXPR EMBREE_VERSION_NUMBER "10000*${EMBREE_VERSION_MAJOR} + 100*${EMBREE_VERSION_MINOR} + ${EMBREE_VERSION_PATCH}")
SET(CPACK_RPM_PACKAGE_RELEASE 1)

PROJECT(embree${EMBREE_VERSION_MAJOR})

CMAKE_MINIMUM_REQUIRED(VERSION 3.1.0)

# We use our own strip tool on macOS to sign during install. This is required as CMake modifies RPATH of the binary during install.
IF (APPLE AND EMBREE_SIGN_FILE)
  SET(EMBREE_STRIP ${CMAKE_STRIP})
  SET(CMAKE_STRIP "${PROJECT_BINARY_DIR}/post_install_target.sh")
  CONFIGURE_FILE(scripts/post_install_target.sh.in "${PROJECT_BINARY_DIR}/post_install_target.sh" @ONLY)
ENDIF()

MACRO (SIGN_TARGET target)
  IF (EMBREE_SIGN_FILE)
    IF (WIN32)
      # on Windows we sign and do not strip as debug symbols not included in binary
      ADD_CUSTOM_COMMAND(TARGET ${target} POST_BUILD
        COMMAND ${EMBREE_SIGN_FILE} $<TARGET_FILE:${target}>)
    ELSEIF (APPLE)
      # on MacOSX we strip and sign here for testing purposes but also during install, as CMake modifies binary during install
      ADD_CUSTOM_COMMAND(TARGET ${target} POST_BUILD
        COMMAND ${EMBREE_STRIP} -x $<TARGET_FILE:${target}>
        COMMAND ${EMBREE_SIGN_FILE} -o runtime -e "${CMAKE_SOURCE_DIR}/common/cmake/embree.entitlements" $<TARGET_FILE:${target}>)
    ELSE()
      # on Linux signing of binaries is not supported and stripping is done during install
    ENDIF()
  ENDIF()
ENDMACRO()

# find git version
IF(EXISTS "${CMAKE_CURRENT_SOURCE_DIR}/.git")
  FIND_PACKAGE(Git)
  IF(GIT_FOUND)
    EXECUTE_PROCESS(
      COMMAND ${GIT_EXECUTABLE} rev-parse HEAD
      WORKING_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}"
      OUTPUT_VARIABLE "EMBREE_HASH"
      ERROR_QUIET
      OUTPUT_STRIP_TRAILING_WHITESPACE)
  ELSE()
    SET(EMBREE_HASH 0)
  ENDIF()
ENDIF()

IF(COMMAND cmake_policy)
  if (POLICY CMP0003)
    cmake_policy(SET CMP0003 NEW)
  endif()
  if (POLICY CMP0042)
    cmake_policy(SET CMP0042 NEW)
  endif()
  if(POLICY CMP0072)
    cmake_policy(SET CMP0072 NEW)
  endif()
  if(POLICY CMP0022)
    cmake_policy(SET CMP0022 NEW)
  endif()
  if(POLICY CMP0074)
    cmake_policy(SET CMP0074 NEW)
  endif()
ENDIF(COMMAND cmake_policy)

MARK_AS_ADVANCED(CMAKE_BACKWARDS_COMPATIBILITY)
MARK_AS_ADVANCED(EXECUTABLE_OUTPUT_PATH)
MARK_AS_ADVANCED(LIBRARY_OUTPUT_PATH)

MARK_AS_ADVANCED(CMAKE_OSX_ARCHITECTURES)
MARK_AS_ADVANCED(CMAKE_OSX_DEPLOYMENT_TARGET)
MARK_AS_ADVANCED(CMAKE_OSX_SYSROOT)
MARK_AS_ADVANCED(CLEAR CMAKE_CXX_COMPILER)

SET(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/common/cmake" ${CMAKE_MODULE_PATH})

IF (BUILD_TESTING)
  INCLUDE(test)
ENDIF()

set(BUILD_DOC OFF CACHE INTERNAL "build documentation (internal only)")
IF (BUILD_DOC)
  ADD_SUBDIRECTORY(doc)
ENDIF()

OPTION(EMBREE_TUTORIALS    "Enable to build Embree tutorials" ON)

##############################################################
# Embree configuration
##############################################################

GET_PROPERTY(SHARED_LIBS_SUPPORTED GLOBAL PROPERTY TARGET_SUPPORTS_SHARED_LIBS)
IF(SHARED_LIBS_SUPPORTED)
  OPTION(EMBREE_STATIC_LIB "Build Embree as a static library.")
  MARK_AS_ADVANCED(CLEAR EMBREE_STATIC_LIB)
ELSE()
  SET(EMBREE_STATIC_LIB ON CACHE BOOL "Build Embree as a static library." FORCE)
  MARK_AS_ADVANCED(EMBREE_STATIC_LIB)
ENDIF()
IF (EMBREE_STATIC_LIB)
  SET(EMBREE_LIB_TYPE STATIC)
  ADD_DEFINITIONS(-DEMBREE_STATIC_LIB)
ELSE()
  SET(EMBREE_LIB_TYPE SHARED)
ENDIF()

OPTION(EMBREE_ISPC_SUPPORT "Build Embree with support for ISPC applications." ON)
IF (EMSCRIPTEN)
  SET(EMBREE_ISPC_SUPPORT OFF CACHE BOOL "Build Embree with support for ISPC applications." FORCE)
ENDIF()

SET(EMBREE_API_NAMESPACE "" CACHE STRING "C++ namespace to put API symbols into.")
SET(EMBREE_LIBRARY_NAME  "embree${EMBREE_VERSION_MAJOR}" CACHE STRING "Name of the embree library file (default is embree${EMBREE_VERSION_MAJOR})")

IF (EMBREE_API_NAMESPACE AND EMBREE_ISPC_SUPPORT)
   MESSAGE(FATAL_ERROR "You cannot enable ISPC when EMBREE_API_NAMESPACE is used.")
ENDIF()

##############################################################################
# Configurations (add configurations also to common/cmake/embree-config.cmake)

OPTION(EMBREE_ZIP_MODE "Create Embree ZIP package" OFF)
MARK_AS_ADVANCED(EMBREE_ZIP_MODE)

OPTION(EMBREE_INSTALL_DEPENDENCIES "Install Embree dependencies in binary packages and install" OFF)
MARK_AS_ADVANCED(EMBREE_INSTALL_DEPENDENCIES)

OPTION(EMBREE_STAT_COUNTERS "Enables statistic counters.")
OPTION(EMBREE_STACK_PROTECTOR "When enabled Embree compiles with stack protection against return address overrides." OFF)

OPTION(EMBREE_RAY_MASK "Enables ray mask support.")
OPTION(EMBREE_BACKFACE_CULLING "Enables backface culling.")
OPTION(EMBREE_FILTER_FUNCTION "Enables filter functions." ON)
OPTION(EMBREE_IGNORE_INVALID_RAYS "Ignores invalid rays." OFF) # FIXME: enable by default?
OPTION(EMBREE_COMPACT_POLYS "Enables double indexed poly layout." OFF)

OPTION(EMBREE_GEOMETRY_TRIANGLE "Enables support for triangle geometries." ON)
OPTION(EMBREE_GEOMETRY_QUAD "Enables support for quad geometries." ON)
OPTION(EMBREE_GEOMETRY_CURVE "Enables support for curve geometries." ON)
OPTION(EMBREE_GEOMETRY_SUBDIVISION "Enables support for subdiv geometries." ON)
OPTION(EMBREE_GEOMETRY_USER "Enables support for user geometries." ON)
OPTION(EMBREE_GEOMETRY_INSTANCE "Enables support for instances." ON)
OPTION(EMBREE_GEOMETRY_GRID "Enables support for grid geometries." ON)
OPTION(EMBREE_GEOMETRY_POINT "Enables support for point geometries." ON)
OPTION(EMBREE_RAY_PACKETS "Enabled support for ray packets." ON)

SET(EMBREE_MAX_INSTANCE_LEVEL_COUNT 1 CACHE STRING "Maximum number of instance levels.")
SET(EMBREE_CURVE_SELF_INTERSECTION_AVOIDANCE_FACTOR 2.0 CACHE STRING "Self intersection avoidance factor for flat curves. Specify floating point value in range 0 to inf.")
OPTION(EMBREE_MIN_WIDTH "Enables min-width feature to enlarge curve and point thickness to pixel width." OFF)

##############################################################
# Platform detection and defaults
##############################################################

IF (APPLE)
  IF (CMAKE_SYSTEM_NAME STREQUAL "Darwin" AND (CMAKE_SYSTEM_PROCESSOR STREQUAL "arm64" OR CMAKE_OSX_ARCHITECTURES MATCHES "arm64"))
    MESSAGE(STATUS "Building for Apple silicon")
    SET(EMBREE_ARM ON)
  ENDIF()
ENDIF()

SET(EMBREE_TASKING_SYSTEM "TBB" CACHE STRING "Selects tasking system")
SET(EMBREE_TBB_COMPONENT "tbb" CACHE STRING "The TBB component/library name.")

IF (WIN32)
  SET_PROPERTY(CACHE EMBREE_TASKING_SYSTEM PROPERTY STRINGS TBB INTERNAL PPL)
ELSE()
  SET_PROPERTY(CACHE EMBREE_TASKING_SYSTEM PROPERTY STRINGS TBB INTERNAL)
ENDIF()

IF (EMBREE_TASKING_SYSTEM STREQUAL "TBB")
  SET(TASKING_TBB      ON )
  SET(TASKING_INTERNAL OFF)
  SET(TASKING_PPL      OFF )
  ADD_DEFINITIONS(-DTASKING_TBB)
  LIST(APPEND ISPC_DEFINITIONS -DTASKING_TBB)
ELSEIF (EMBREE_TASKING_SYSTEM STREQUAL "PPL")
  SET(TASKING_PPL      ON )
  SET(TASKING_TBB      OFF )
  SET(TASKING_INTERNAL OFF)
  ADD_DEFINITIONS(-DTASKING_PPL)
  LIST(APPEND ISPC_DEFINITIONS -DTASKING_PPL)
ELSE()
  SET(TASKING_INTERNAL ON )
  SET(TASKING_TBB      OFF)
  SET(TASKING_PPL      OFF )
  ADD_DEFINITIONS(-DTASKING_INTERNAL)
  LIST(APPEND ISPC_DEFINITIONS -DTASKING_INTERNAL)
ENDIF()

##############################################################
# Compiler
##############################################################

SET(CONFIGURATION_TYPES "Debug;Release;RelWithDebInfo")

IF (WIN32)
  IF (NOT DEFAULT_CMAKE_CONFIGURATION_TYPES_SET)
    SET(CMAKE_CONFIGURATION_TYPES "${CONFIGURATION_TYPES}" CACHE STRING "List of generated configurations." FORCE)
    SET(DEFAULT_CMAKE_CONFIGURATION_TYPES_SET ON CACHE INTERNAL "Default CMake configuration types set.")
  ENDIF()
  SET_PROPERTY(GLOBAL PROPERTY USE_FOLDERS ON)

  #message ("CMAKE_GENERATOR_TOOLSET: ${CMAKE_GENERATOR_TOOLSET}")
  #message ("CMAKE_CXX_COMPILER_ID: ${CMAKE_CXX_COMPILER_ID}")
  #message ("CMAKE_CXX_COMPILER: ${CMAKE_CXX_COMPILER}")

  IF (${CMAKE_CXX_COMPILER} MATCHES ".*dpcpp")
    message(FATAL_ERROR "DPCPP compiler not supported on Windows yet. Use ICX instead.")
  ENDIF()

  IF (${CMAKE_CXX_COMPILER_ID} MATCHES "IntelLLVM" OR
      (${CMAKE_CXX_COMPILER_ID} MATCHES "Clang" AND ${CMAKE_CXX_COMPILER} MATCHES ".*icx"))
    MESSAGE("-- DPCPP detected")
    INCLUDE(dpcpp)
  ELSEIF(${CMAKE_GENERATOR_TOOLSET} MATCHES "^LLVM")
    MESSAGE("-- CLANG detected")
    INCLUDE(clang)
  ELSEIF(${CMAKE_GENERATOR_TOOLSET} MATCHES "^Intel")
    MESSAGE("-- Intel Compiler detected")
    INCLUDE (intel)
  ELSE()
    IF (EMBREE_ISA_AVX512)
      MESSAGE(FATAL_ERROR "Microsoft Visual C++ Compiler does not support AVX512. Please use Intel Compiler or Clang.")
    ENDIF()
    MESSAGE("-- MSVC detected")
    INCLUDE (msvc)
  ENDIF()

ELSE (WIN32)
  IF(CMAKE_CXX_COMPILER_WRAPPER STREQUAL "CrayPrgEnv")
    INCLUDE (crayprgenv)
  ELSE()
    GET_FILENAME_COMPONENT(CXX_COMPILER_NAME ${CMAKE_CXX_COMPILER} NAME)
    
    STRING(TOLOWER "${CMAKE_CXX_COMPILER_ID}" _LOWER_CXX_COMPILER_ID)
    STRING(REPLACE "appleclang" "clang" _LOWER_CXX_COMPILER_ID ${_LOWER_CXX_COMPILER_ID})
    STRING(REPLACE "intelllvm" "dpcpp" _LOWER_CXX_COMPILER_ID ${_LOWER_CXX_COMPILER_ID})
    IF(${_LOWER_CXX_COMPILER_ID} MATCHES "clang" AND ${CXX_COMPILER_NAME} MATCHES "icpx")
      STRING(REPLACE "clang" "dpcpp" _LOWER_CXX_COMPILER_ID ${_LOWER_CXX_COMPILER_ID})
    ENDIF()
    IF(${_LOWER_CXX_COMPILER_ID} MATCHES "clang" AND ${CXX_COMPILER_NAME} MATCHES "dpcpp")
      STRING(REPLACE "clang" "dpcpp" _LOWER_CXX_COMPILER_ID ${_LOWER_CXX_COMPILER_ID})
    ENDIF()
    STRING(TOUPPER "${_LOWER_CXX_COMPILER_ID}" _UPPER_CXX_COMPILER_ID)
    MESSAGE("-- ${_UPPER_CXX_COMPILER_ID} detected")
    INCLUDE(${_LOWER_CXX_COMPILER_ID} OPTIONAL RESULT_VARIABLE COMPILER_FOUND)
    IF (NOT COMPILER_FOUND)
      MESSAGE(FATAL_ERROR "Unsupported compiler: " ${CMAKE_CXX_COMPILER_ID})
    ENDIF ()
  ENDIF ()

  IF(NOT CMAKE_BUILD_TYPE)
    SET(CMAKE_BUILD_TYPE "Release" CACHE STRING "Specifies the build type." FORCE)
    SET_PROPERTY(CACHE CMAKE_BUILD_TYPE PROPERTY STRINGS ${CONFIGURATION_TYPES})
  ENDIF(NOT CMAKE_BUILD_TYPE)

  OPTION(CMAKE_VERBOSE_MAKEFILE "Enables verbose mode.")
  MARK_AS_ADVANCED(CLEAR CMAKE_VERBOSE_MAKEFILE)

ENDIF (WIN32)

##############################################################
# ISA configuration
##############################################################

# just for compatibility with old naming
IF(DEFINED EMBREE_ISA_AVX512SKX)
  UNSET(EMBREE_ISA_AVX512 CACHE)
  SET(EMBREE_ISA_AVX512 ${EMBREE_ISA_AVX512SKX} CACHE BOOL "")
ENDIF()

TRY_COMPILE(COMPILER_SUPPORTS_ARM_NEON "${CMAKE_BINARY_DIR}" "${PROJECT_SOURCE_DIR}/common/cmake/check_arm_neon.cpp")
IF (COMPILER_SUPPORTS_ARM_NEON)
  SET(EMBREE_ARM ON)
ENDIF()

IF (CMAKE_CXX_COMPILER_WRAPPER STREQUAL "CrayPrgEnv")
  SET(EMBREE_MAX_ISA "DEFAULT" CACHE STRING "Selects highest ISA to support.")
ELSEIF (EMSCRIPTEN)
  SET(EMBREE_MAX_ISA "SSE2" CACHE STRING "Selects highest ISA to support.")
ELSE()
  SET(EMBREE_MAX_ISA "NONE" CACHE STRING "Selects highest ISA to support.")
ENDIF()

IF (EMBREE_ARM)
  SET_PROPERTY(CACHE EMBREE_MAX_ISA PROPERTY STRINGS NONE NEON NEON2X)
ELSE()  
  SET_PROPERTY(CACHE EMBREE_MAX_ISA PROPERTY STRINGS NONE SSE2 SSE4.2 AVX AVX2 AVX512 DEFAULT)
ENDIF()

IF (EMBREE_MAX_ISA STREQUAL "NONE")
  
  IF (EMBREE_ARM)
    IF (APPLE)
      OPTION(EMBREE_ISA_NEON   "Enables NEON ISA." OFF)
      OPTION(EMBREE_ISA_NEON2X "Enables NEON ISA double pumped." ON)
    ELSE()
      OPTION(EMBREE_ISA_NEON   "Enables NEON ISA." ON)
      OPTION(EMBREE_ISA_NEON2X "Enables NEON ISA double pumped." OFF)
    ENDIF()
  ELSE()

=== debian/changelog ===
embree (3.13.4+dfsg-1) unstable; urgency=medium

  * New upstream release
  * debian/control: S-V bump 4.6.0 -> 4.6.1 (no changes needed)
  * debian/copyright: timestamp bump for debian/

 -- Matteo F. Vescovi <mfv@debian.org>  Sat, 16 Jul 2022 23:49:00 +0200

embree (3.13.3+dfsg-1) unstable; urgency=medium

  * New upstream release
    - d/p/01-drop_readme.patch: patch refreshed against v3.13.3

 -- Matteo F. Vescovi <mfv@debian.org>  Sat, 26 Feb 2022 00:25:05 +0100

embree (3.13.2+dfsg-1) unstable; urgency=medium

  [ Matteo F. Vescovi ]
  * New upstream release
  * debian/control: S-V bump 4.5.1 -> 4.6.0 (no changes needed)
  * debian/copyright: extend debian/ timepstamps

  [ Vagrant Cascadian ]
  * debian/rules: export reproducibility variable (Closes: #977553)

 -- Matteo F. Vescovi <mfv@debian.org>  Mon, 15 Nov 2021 23:37:33 +0100

embree (3.13.1+dfsg-1) unstable; urgency=medium

  * New upstream release

 -- Matteo F. Vescovi <mfv@debian.org>  Mon, 06 Sep 2021 23:38:38 +0200

embree (3.13.0+dfsg-2) unstable; urgency=medium

  * Upload to unstable

 -- Matteo F. Vescovi <mfv@debian.org>  Tue, 17 Aug 2021 22:08:07 +0200

embree (3.13.0+dfsg-1) experimental; urgency=medium

  * New upstream release

 -- Matteo F. Vescovi <mfv@debian.org>  Thu, 13 May 2021 23:23:02 +0200

=== debian/control ===
Source: embree
Section: graphics
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders:
 Mathieu Malaterre <malat@debian.org>,
 Matteo F. Vescovi <mfv@debian.org>
Build-Depends:
 cmake,
 debhelper-compat (= 13),
 freeglut3-dev,
 libglfw3-dev,
 libjpeg-dev,
 libopenimageio-dev,
 libpng-dev,
 libtbb-dev,
 libxi-dev,
 libxmu-dev,
 pkg-config
Build-Depends-Indep:
 fig2dev,
 fonts-freefont-ttf,
 latex2html,
 pandoc,
 texlive-latex-base,
 texlive-xetex,
 txt2man
Rules-Requires-Root: no
Standards-Version: 4.6.1
Homepage: https://embree.github.io/
Vcs-Git: https://salsa.debian.org/multimedia-team/embree.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/embree

Package: libembree3-3
Section: libs
Architecture: any-amd64
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: High Performance Ray Tracing Kernels - runtime
 Intel(R) Embree is a collection of high-performance ray tracing kernels,
 developed at Intel. The target users of Intel(R) Embree are
 graphics application engineers who want to improve the performance of
 their photo-realistic rendering application by leveraging Embree's
 performance-optimized ray tracing kernels. The kernels are optimized for
 the latest Intel(R) processors with support for SSE, AVX, AVX2, and
 AVX-512 instructions. Intel(R) Embree supports runtime code selection
 to choose the traversal and build algorithms that best matches
 the instruction set of your CPU.
 .
 This package contains the runtime library for building programs that
 use Embree.

Package: libembree-dev
Section: libdevel
Architecture: any-amd64
Multi-Arch: same
Depends:
 libembree3-3 (= ${binary:Version}),
 ${misc:Depends}
Suggests: embree-tools
Description: High Performance Ray Tracing Kernels - development
 Intel(R) Embree is a collection of high-performance ray tracing kernels,
 developed at Intel. The target users of Intel(R) Embree are
 graphics application engineers who want to improve the performance of
 their photo-realistic rendering application by leveraging Embree's
 performance-optimized ray tracing kernels. The kernels are optimized for
 the latest Intel(R) processors with support for SSE, AVX, AVX2, and
 AVX-512 instructions. Intel(R) Embree supports runtime code selection
 to choose the traversal and build algorithms that best matches
 the instruction set of your CPU.
 .
 This package contains the headers library for building programs that
 use Embree.

Package: libembree-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: High Performance Ray Tracing Kernels - documentation
 Intel(R) Embree is a collection of high-performance ray tracing kernels,
 developed at Intel. The target users of Intel(R) Embree are
 graphics application engineers who want to improve the performance of
 their photo-realistic rendering application by leveraging Embree's
 performance-optimized ray tracing kernels. The kernels are optimized for
 the latest Intel(R) processors with support for SSE, AVX, AVX2, and
 AVX-512 instructions. Intel(R) Embree supports runtime code selection
 to choose the traversal and build algorithms that best matches
 the instruction set of your CPU.
 .
 This package provides the official documentation.

Package: embree-tools
Architecture: any-amd64
Multi-Arch: foreign
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: High Performance Ray Tracing Kernels - tools
 Intel(R) Embree is a collection of high-performance ray tracing kernels,
 developed at Intel. The target users of Intel(R) Embree are
 graphics application engineers who want to improve the performance of
 their photo-realistic rendering application by leveraging Embree's
 performance-optimized ray tracing kernels. The kernels are optimized for
 the latest Intel(R) processors with support for SSE, AVX, AVX2, and
 AVX-512 instructions. Intel(R) Embree supports runtime code selection
 to choose the traversal and build algorithms that best matches
 the instruction set of your CPU.
 .
 This package provides the official command-line tools.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# Needed for texlive to respect SOURCE_DATE_EPOCH when setting date
export FORCE_SOURCE_DATE = 1

INSTDIR=debian/tmp

%:
	dh $@ \
	--buildsystem=cmake \
	--builddirectory=build \
	--no-parallel

override_dh_auto_configure:
	dh_auto_configure -- \
		-DCMAKE_SKIP_RPATH=ON \
		-DEMBREE_BACKFACE_CULLING=OFF \
		-DEMBREE_ISPC_SUPPORT=OFF \
		-DEMBREE_RAY_MASK=ON \
		-DEMBREE_STATIC_LIB=OFF

override_dh_auto_build-arch:
	dh_auto_build

override_dh_auto_build-indep:
	dh_auto_build
	$(MAKE) -C $(CURDIR)/doc/

override_dh_auto_test:

override_dh_auto_install:
	dh_auto_install \
                --buildsystem=cmake \
                --destdir=$(INSTDIR)

override_dh_install:
	rm -f $(CURDIR)/$(INSTDIR)/usr/share/doc/embree3/CHANGELOG.md
	rm -f $(CURDIR)/$(INSTDIR)/usr/share/doc/embree3/LICENSE.txt
	rm -f $(CURDIR)/$(INSTDIR)/usr/share/doc/embree3/third-party-programs*.txt
	mv $(CURDIR)/$(INSTDIR)/usr/bin/embree3/convert \
	$(CURDIR)/$(INSTDIR)/usr/bin/embree3/embree-convert
	dh_install
